import { OnInit } from '@angular/core';
import { FormGroup, AbstractControl, FormGroupDirective, ControlContainer } from '@angular/forms';
import { DatePickerOptions } from '../../Shared/Models/datePickerOptions';
import { ErrorMassageValidation } from '../../Shared/services/validationErrorMassage.service';
import { ControlUtility } from '../../Shared/services/ControlUtility';
export declare class DateInputComponent implements OnInit {
    private ErrorHandler;
    private controlUtility;
    private controlContainer;
    DateInputControlHost: FormGroupDirective;
    static controlContainerstatic: any;
    constructor(ErrorHandler: ErrorMassageValidation, controlUtility: ControlUtility, controlContainer: ControlContainer, DateInputControlHost: FormGroupDirective);
    group: FormGroup;
    options: DatePickerOptions;
    DatePickerFormControl: AbstractControl;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetError: () => void;
    getErrorValidation(Errorsitem: any[]): string;
    copyInputMassage(inputElement: any): void;
    getSelectMode(type: number): string;
    getPickerType(type: number): string;
    getStartView(type: number): string;
}
